org.eclipse.wst.jsdt.core.search

## Class TypeNameMatch

- java.lang.Object
- - org.eclipse.wst.jsdt.core.search.TypeNameMatch

    public abstract class TypeNameMatch
    extends java.lang.Object

A match collected while `searching` for all type names methods using a `requestor`.

The type of this match is available from `getType()`.

This class is not intended to be overridden by clients.

See Also:
  `TypeNameMatchRequestor`, `SearchEngine#searchAllTypeNames(char[], int, char[], int, int, IJavaScriptSearchScope, TypeNameMatchRequestor, int, org.eclipse.core.runtime.IProgressMonitor)`, `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Constructor Summary

Constructors
Constructor and Description
`TypeNameMatch()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.lang.String` `getFullyQualifiedName()` Returns the matched type's fully qualified name using '.' character as separator (e.g. package name + '.' enclosing type names + '.' simple name).
`abstract int` `getModifiers()` Returns the modifiers of the matched type.
`IPackageFragmentRoot` `getPackageFragmentRoot()` Returns the package fragment root of the stored type.
`java.lang.String` `getPackageName()` Returns the package name of the stored type.
`java.lang.String` `getQualifiedName()`
`java.lang.String` `getSimpleTypeName()` Returns the name of the stored type.
`char[][]` `getSuperTypeNames()` Returns the stored super type names.
`abstract IType` `getType()` Returns a javascript model type handle.
`java.lang.String` `getTypeContainerName()` Name of the type container using '.' character as separator (e.g. package name + '.' + enclosing type names).
`java.lang.String` `getTypeQualifiedName()` Returns the matched type's type qualified name using '.' character as separator (e.g. enclosing type names + '.' + simple name).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeNameMatch

    public TypeNameMatch()

### Method Detail

#### getFullyQualifiedName

    public java.lang.String getFullyQualifiedName()

Returns the matched type's fully qualified name using '.' character as separator (e.g. package name + '.' enclosing type names + '.' simple name).

Returns:
  Fully qualified type name of the type
Throws:
  `java.lang.NullPointerException` - if matched type is `null`
See Also:
  `getType()`, `IType.getFullyQualifiedName(char)`

#### getModifiers

    public abstract int getModifiers()

Returns the modifiers of the matched type.

This is a handle-only method as neither JavaScript Model nor includepath initialization is done while calling this method.

Returns:
  the type modifiers

#### getPackageFragmentRoot

    public IPackageFragmentRoot getPackageFragmentRoot()

Returns the package fragment root of the stored type. Package fragment root cannot be null and does exist.

Returns:
  the existing javascript model package fragment root (ie. cannot be `null` and will return `true` to `exists()` message).
Throws:
  `java.lang.NullPointerException` - if matched type is `null`
See Also:
  `getType()`, `IJavaScriptElement.getAncestor(int)`

#### getPackageName

    public java.lang.String getPackageName()

Returns the package name of the stored type.

Returns:
  the package name
Throws:
  `java.lang.NullPointerException` - if matched type is `null`
See Also:
  `getType()`, `IType.getPackageFragment()`

#### getSimpleTypeName

    public java.lang.String getSimpleTypeName()

Returns the name of the stored type.

Returns:
  the type name
Throws:
  `java.lang.NullPointerException` - if matched type is `null`
See Also:
  `getType()`, `IJavaScriptElement.getElementName()`

#### getSuperTypeNames

    public char[][] getSuperTypeNames()

Returns the stored super type names.

Returns:
  the stored super type names, or null.
Since:
  1.2

#### getType

    public abstract IType getType()

Returns a javascript model type handle. This handle may exist or not, but is not supposed to be `null`.

This is a handle-only method as neither JavaScript Model nor includepath initializations are done while calling this method.

Returns:
  the non-null handle on matched javascript model type.
See Also:
  `IType`

#### getTypeContainerName

    public java.lang.String getTypeContainerName()

Name of the type container using '.' character as separator (e.g. package name + '.' + enclosing type names).

Returns:
  name of the type container
Throws:
  `java.lang.NullPointerException` - if matched type is `null`
See Also:
  `getType()`, `IMember.getDeclaringType()`

#### getTypeQualifiedName

    public java.lang.String getTypeQualifiedName()

Returns the matched type's type qualified name using '.' character as separator (e.g. enclosing type names + '.' + simple name).

Returns:
  fully qualified type name of the type
Throws:
  `java.lang.NullPointerException` - if matched type is `null`
See Also:
  `getType()`, `IType.getTypeQualifiedName(char)`

#### getQualifiedName

    public java.lang.String getQualifiedName()